DOM::HTMLImageElement Class Reference

`#include <html_image.h>`

Inheritance diagram for DOM::HTMLImageElement:

## Public Member Functions

| HTMLImageElement (const HTMLImageElement &other)
| HTMLImageElement (const Node &other)
HTMLImageElement & | operator= (const HTMLImageElement &other)
HTMLImageElement & | operator= (const Node &other)
DOMString | name () const
void | setName (const DOMString &)
DOMString | align () const
void | setAlign (const DOMString &)
DOMString | alt () const
void | setAlt (const DOMString &)
DOMString | getBorder () const
void | setBorder (const DOMString &)
long | border () const KDE_DEPRECATED
void | setBorder (long) KDE_DEPRECATED
long | height () const
void | setHeight (long)
long | hspace () const
void | setHspace (long)
bool | isMap () const
void | setIsMap (bool)
DOMString | longDesc () const
void | setLongDesc (const DOMString &)
DOMString | src () const
void | setSrc (const DOMString &)
DOMString | useMap () const
void | setUseMap (const DOMString &)
long | vspace () const
void | setVspace (long)
long | width () const
void | setWidth (long)
long | x () const
long | y () const
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLImageElement (HTMLImageElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

Embedded image.

See the IMG element definition in HTML 4.0.

Definition at line 185 of file html_image.h.

## Member Function Documentation

DOMString HTMLImageElement::align | ( |  | ) | const

Aligns this object (vertically or horizontally) with respect to its surrounding text.

See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 202 of file html_image.cpp.

DOMString HTMLImageElement::alt | ( |  | ) | const

Alternate text for user agents not rendering the normal content of this element.

See the alt attribute definition in HTML 4.0.

Definition at line 213 of file html_image.cpp.

long HTMLImageElement::border | ( |  | ) | const

Deprecated:

Definition at line 224 of file html_image.cpp.

DOMString HTMLImageElement::getBorder | ( |  | ) | const

Width of border around image.

See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 236 of file html_image.cpp.

long HTMLImageElement::height | ( |  | ) | const

Override height.

See the height attribute definition in HTML 4.0.

Definition at line 248 of file html_image.cpp.

long HTMLImageElement::hspace | ( |  | ) | const

Horizontal space to the left and right of this image.

See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 259 of file html_image.cpp.

bool HTMLImageElement::isMap | ( |  | ) | const

Use server-side image map.

See the ismap attribute definition in HTML 4.0.

Definition at line 271 of file html_image.cpp.

DOMString HTMLImageElement::longDesc | ( |  | ) | const

URI designating a long description of this image or frame.

See the longdesc attribute definition in HTML 4.0.

Definition at line 288 of file html_image.cpp.

DOMString HTMLImageElement::name | ( |  | ) | const

The name of the element (for backwards compatibility).

Definition at line 191 of file html_image.cpp.

void HTMLImageElement::setAlign | ( | const DOMString & | value | ) |

see align

Definition at line 208 of file html_image.cpp.

void HTMLImageElement::setAlt | ( | const DOMString & | value | ) |

see alt

Definition at line 219 of file html_image.cpp.

void HTMLImageElement::setBorder | ( | const DOMString & | value | ) |

see border

Definition at line 242 of file html_image.cpp.

void HTMLImageElement::setBorder | ( | long | value | ) |

Deprecated:

Definition at line 231 of file html_image.cpp.

void HTMLImageElement::setHeight | ( | long | value | ) |

see height

Definition at line 254 of file html_image.cpp.

void HTMLImageElement::setHspace | ( | long | value | ) |

see hspace

Definition at line 266 of file html_image.cpp.

void HTMLImageElement::setIsMap | ( | bool | _isMap | ) |

see isMap

Definition at line 277 of file html_image.cpp.

void HTMLImageElement::setLongDesc | ( | const DOMString & | value | ) |

see longDesc

Definition at line 294 of file html_image.cpp.

void HTMLImageElement::setName | ( | const DOMString & | value | ) |

see name

Definition at line 197 of file html_image.cpp.

void HTMLImageElement::setSrc | ( | const DOMString & | value | ) |

see src

Definition at line 306 of file html_image.cpp.

void HTMLImageElement::setUseMap | ( | const DOMString & | value | ) |

see useMap

Definition at line 317 of file html_image.cpp.

void HTMLImageElement::setVspace | ( | long | value | ) |

see vspace

Definition at line 329 of file html_image.cpp.

void HTMLImageElement::setWidth | ( | long | value | ) |

see width

Definition at line 340 of file html_image.cpp.

DOMString HTMLImageElement::src | ( |  | ) | const

URI designating the source of this image.

See the src attribute definition in HTML 4.0.

Definition at line 299 of file html_image.cpp.

DOMString HTMLImageElement::useMap | ( |  | ) | const

Use client-side image map.

See the usemap attribute definition in HTML 4.0.

Definition at line 311 of file html_image.cpp.

long HTMLImageElement::vspace | ( |  | ) | const

Vertical space above and below this image.

See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 322 of file html_image.cpp.

long HTMLImageElement::width | ( |  | ) | const

Override width.

See the width attribute definition in HTML 4.0.

Definition at line 334 of file html_image.cpp.

long HTMLImageElement::x | ( |  | ) | const

Nonstandard extension to DOM::ImgElement.

Definition at line 345 of file html_image.cpp.

The documentation for this class was generated from the following files:

- html_image.h
- html_image.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys